#!/bin/bash

if [ $# -ne 6 ]
then
echo "Usage: ./createCINNI.sh {module name} {substitution sort} {name sort} {indexed name sort} {value sort} {module file}"
exit 65
fi

echo "
(select META-LEVEL .)
(fmod CREATE-CINNI is
  ex META-LEVEL . 
  ex CINNI-META . 
  op module : -> Module . 
  eq module = cinni('$1, '$2, '$3, '$4, '$5) . 
endfm)
(load module .)
(show module CINNI-$1 .)
q" | maude -no-prelude -no-banner -no-advise -no-wrap -no-ansi-color prelude.maude CINNIMETA.maude $6 full-maude26.maude | awk '/fmod/,/endfm/' > CINNI-$6

